KF5-CONFIG(1)

NOME
kf5-config - Imprime os locais de instalação do Qt(TM) e das Plataformas

SINOPSE

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path tipo] [--userpath tipo] [--install tipo] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

DESCRIÇÃO

O 'kf5-config' é um programa da linha de comandos que é usado para obter informações acerca dos locais de instalação das Plataformas ou dos utilizadores.

Use este programa para determinar onde residem os vários aspectos da instalação das Plataformas no seu sistema.

    Nota

    O 'kf5-config' é basicamente um substituto obsoleto para o 'kde4-config', já que a ferramenta recomendada a usar é o 'qtpaths' (que vem com o Qt(TM)).

OPÇÕES

--expandvars
    expande o ${prefix} e o ${exec_prefix} no resultado

--prefix
    O prefixo pré-compilado para as bibliotecas das Plataformas

--exec-prefix
    O prefixo de executáveis pré-compilado para as Plataformas

--libsuffix
    O sufixo pré-compilado do local das bibliotecas

--localprefix
    O prefixo usado na $HOME para gravar os ficheiros

--version
    O texto pré-compilado da versão das bibliotecas do Qt(TM), das Plataformas e do 'kf5-config'

--kde-version
    O texto pré-compilado da versão das bibliotecas das Plataformas

--types
    Imprime uma lista com todos os tipos de recursos do KDE disponíveis

--path tipo
    Procura no local pelo tipo indicado

--userpath tipo
    Os locais do utilizador para os tipos: desktop|document

--install tipo
    O prefixo onde instalar os ficheiros de recursos

--qt-prefix
    Prefixo de instalação do Qt(TM)

--qt-binaries
    Localização dos binários do Qt(TM) instalados

--qt-libraries
    Localização das bibliotecas do Qt(TM) instaladas

--qt-plugins
    Localização dos 'plugins' do Qt(TM) instalados

EXEMPLOS

Imprimir a pasta de instalação de topo das Plataformas:

% kf5-config --prefix

Imprimir uma lista com todos os tipos de recursos:

% kf5-config --types

Imprimir o local de instalação dos papéis de parede:

% kf5-config --path wallpaper

VEJA TAMBÉM

kf5options(7)

PROBLEMAS

Nenhum conhecido.

AUTOR

Stephan Kulow <coolo@kde.org>
    Autor.